CVSCHECK(1)

NAME
cvscheck - offline status report for files in a checked-out CVS module

SYNOPSIS
cvscheck [ -u, --unknown ] [ -m, --modified ] [ --missing ] [ -t, --tagged ] [ -a, --added ] [ -r, --removed ] [ -c, --conflicts ] [ -l, --local ] [ dir ... ]

DESCRIPTION
cvscheck prints information about the status of your local CVS checkout without communicating with the server. This means it is extremely fast and does not require a network connection.

The given directories and all of their subdirectories will be processed recursively (though see the --local option below). If no directory is given, the current directory and its recursed subdirectories will be used.

Each file with an interesting status will be printed with a status character in front of its name. The status characters are as follows.

? foobar.c
    The file is not known to CVS. Maybe you should add it?

M foobar.c
    The file is for sure locally modified.

m foobar.c
    The file might have local changes. You should diff with the server to make sure.

C foobar.c
    The file has a CVS conflict and therefore cannot be committed.

U foobar.c
    The file is in CVS but is somehow missing in your local checkout.

T foobar.c
    The file has an unusual sticky CVS tag.

A foobar.c
    You have "cvs add"ed this file but you have not yet committed.

R foobar.c
    You have "cvs remove"d this file but you have not yet committed.

This utility is part of the KDE Software Development Kit.

OPTIONS
By default cvscheck will display the status for all files in and beneath the requested directories. The following options however can be used to display only files with a particular status and/or in a particular directory.

-u, --unknown
    Show only unknown (?) files.

-m, --modified
    Show only modified (m/M) files.

--missing
    Show only missing (U) files.

-t, --tagged
    Show only tagged (T) files.

-a, --added
    Show only added (A) files.

-r, --removed
    Show only removed (R) files.

-c, --conflicts
    Show only conflict (C) files.

-l, --local
    Do not recurse. That is, process the given directory but none of its subdirectories.

SEE ALSO
cvs(1).

AUTHOR
cvscheck was written by Dirk Mueller <mueller@kde.org> and Sirtaj Singh Kang <taj@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).